Bug 110772 - cups-devel package should Requires: openssl-devel
cups-devel package should Requires: openssl-devel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: cups (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 10:31 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 1.1.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-01 17:49:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-24 10:31:59 EST
Description of problem:
cups built with ssl support and '/usr/bin/cups-config --libs' output
includes: -lssl -lcrypto, thus cups-devel package should Requires:
openssl-devel

Version-Release number of selected component (if applicable):
cups-1.1.19-14

How reproducible:
Always

Steps to Reproduce:
1.rpm -i cups-devel-....rpm
2.rpm -e openssl-devel
3.rpmbuild --rebuild gimp-print-4.2.5-2.src.rpm (it should require
cups-devel, and doesn't require directly openssl-devel)
4. Wait for build error
  
Actual results:
gcc -Wall -Wcast-align -Wstrict-prototypes -Wmissing-prototypes
-Wmissing-declarations -Wnested-externs -Wwrite-strings -pedantic -O2
-march=i386 -mcpu=i686 -o epson epson.o -Wl,-rpath -Wl,/usr/lib 
../../lib/.libs/libprintut.al -lcupsimage -lcups -lssl -lcrypto -lnsl -lz
/usr/bin/ld: cannot find -lssl
collect2: ld returned 1 exit status
make[3]: *** [epson] Error 1
make[3]: Leaving directory
`/usr/src/mylinux/BUILD/gimp-print-4.2.5/src/cups'
make[2]: *** [all-recursive] Error 1

Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-25 09:44:37 EST
Triage->Easyfix
Comment 2 Tim Waugh 2003-11-27 04:51:42 EST
Fixed in CVS, will be picked up by next build.
Comment 3 Tim Waugh 2003-12-01 17:49:59 EST
Fixed in 1.1.20-1.

Note You need to log in before you can comment on or make changes to this bug.